/*
 * thread.cc
 * This file is part of katoob
 *
 * Copyright (C) 2006 Mohammed Sameer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif /* HAVE_CONFIG_H */

#include "thread.hh"

Thread::Thread(const sigc::slot<void>& slot, Dispatcher *dispatcher)
{
  dispatcher->connect(sigc::mem_fun(*this, &Thread::thread_done));
  try {
    thread = Glib::Thread::create (slot, false);
    loop = Glib::MainLoop::create();
  }
  catch (Glib::ThreadError &er)
    {
      error = er.what();
    }
}

bool Thread::ok(std::string& str)
{
  if (error.size() == 0)
    {
      loop->run();
      return true;
    }
  else {
    str = error;
    return false;
  }
}

Thread::~Thread() {}

